Subject: Re: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Nov 2022 09:56:01 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 10 Nov 2022 01:44:18 +0100
> Cc: Gregory Heytings <[email-masked]>, [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > Because text-scale-adjust is cruder: it uses a factor instead of an
> > > increment.  The effect of global-text-scale-adjust is much smoother.
> >
> > This subtle difference should probably be in the doc string, as users
> > will normally assume that global-text-scale-adjust is just a
> > globalized version of text-scale-adjust.
> 
> Is 'global-text-scale-adjust' new in Emacs 29?  Maybe it would be
> better if they both work the same, presumably the same way as
> 'text-scale-adjust' does now (or the other way, if that's better).
> Then we could introduce a new defcustom to make them both behave the
> other way.  Would that make sense?

Gregory says the different operation of the global mode is a feature,
so making them behave the same would either mean losing the feature or
an incompatible change to text-scale-adjust.